/*
	README

	This file should only be used to style structure of the widget. It should not
	contain fonts or theme styling. Use the shared_theme.css for that purpose.

	If simply theming the CCL, leave this file alone.

	If your design is very customized, edit this file as needed. 
*/

.slider-marquee {
	--text-container-width: var(--width-comfortable);
	--text-container-width: var(--width-comfortable);
	--letter-spacing: var(--tracking-wide);
	--title-text-size: var(--text-2xl);
	--text-size: 0.9375rem;

	position: relative;
	margin-bottom: var(--space-10);
}
.slider-marquee .glide__track,
.slider-marquee .slider-cont {
	position: relative;
}

.slider-marquee .glide__track {
	margin-bottom: 1px;
}

.slider-marquee .content-section {
	padding: var(--space-5);
	position: absolute;
	left: 0;
	bottom: var(--space-8);
	pointer-events: none;
	display: grid;
}
.slider-marquee .has-link .content-section {
	bottom: var(--space-4);
}

.slider-marquee .slide .slide-title {
	line-height: var(--leading-tight);
	font-size: var(--text-2xl-1);
	font-weight: 600;
	pointer-events: none;
	text-shadow: 0px 3px 6px #00000029;
}

.slider-marquee .slide-title a {
	font-size: inherit;
	line-height: inherit;
	font-weight: inherit;
}

.slider-marquee .description {
	padding-bottom: var(--space-5);
}

.slider-marquee.ccl-widget .slide .read-more {
	display: block;
    width: max-content;
	pointer-events: all;
	margin: 0;
	color: var(--white);
}

.slider-marquee .slide .img-cont::after {
	content: "";
	background: transparent linear-gradient(180deg, #00000000 0%, #000000 100%) 0% 0% no-repeat padding-box;
	opacity: 0.5;
	bottom: 0;
	left: 0;
	position: absolute;
	pointer-events: none;
	height: 85%;
	width: 100%;
}

.slider-marquee .slide p {
	color: var(--text-color);
	font-size: var(--text-size);
	font-weight: normal;
	line-height: var(--leading-normal);
}

.slider-marquee .glide__arrows {
	position: absolute;
	bottom: var(--space-3);
	right: 0;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: var(--space-2);
	padding: 0 var(--space-5);
	pointer-events: none;
	z-index: 1;
}

.slider-marquee .glide__arrows .glide__arrow {
	border-color: var(--yellow);
	color: var(--white);
	margin: unset;
	font-family: var(--font-display);
	font-size: 1.5625rem;
}

@media (hover : hover) {
	.slider-marquee .glide__arrows .glide__arrow:hover {
		background-color: transparent;
	}
}
.slider-marquee .bullets-cont {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 1px;
}

.slider-marquee .bullets-cont > button {
	position: relative;
	aspect-ratio: 187 / 75;
	width: 100%;
	padding: unset;
}

.slider-marquee .bullets-cont > button img {
	width: 100%;
	height: 100%;
}

.slider-marquee .bullets-cont > button span {
	display: flex;
	align-items: center;
	justify-content: center;
	
	letter-spacing: 0.01em;
	font-size: var(--text-base-1);
	line-height: var(--leading-tight);
    font-weight: 500;
    font-family: var(--font-display);
	
	width: 100%;
	height: 100%;
	padding: var(--space-2);
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
	color: var(--white);
	background-color: rgba(29, 47, 73, 0.5);
}

.slider-marquee .bullets-cont > button.glide__bullet--active span {
	background-color: rgba(32, 91, 198, 0.8);
}

@media (min-width: 40em) {
	.slider-marquee .content-section {
		max-width: calc(100% - 200px);
	}
}

@media (min-width: 64em) {
	.slider-marquee .slider-cont {
		display: grid;
		grid-template-columns: 1fr 0.394fr;
		gap: 1px;
		min-width: 0;
	}
	.slider-marquee .glide__track {
		margin-bottom: 0;
	}
	.slider-marquee .content-section {
		max-width: calc(100% - 265px);
		padding-left: calc(30px + (60 - 30) * ((100vw - 1025px) / (1200 - 1025)));
	}
	.slider-marquee .has-link .content-section {
		bottom: var(--space-8);
	}
	.slider-marquee .slide .slide-title {
		font-size: var(--text-4xl-1);
	}
	.slider-marquee .slide p {
		font-size: var(--text-lg);
	}
	.slider-marquee .glide__arrows {
		bottom: var(--space-12);
		right: var(--space-5);
	}

	.slider-marquee .bullets-cont {
		grid-template-columns: 1fr;
	}

	.slider-marquee .bullets-cont > button {
		aspect-ratio: unset;
	}
	.slider-marquee .bullets-cont > button span {
		font-size: calc(22px + (30 - 22) * ((100vw - 1025px) / (1200 - 1025)));
		padding: var(--space-3) var(--space-5);
	}
}

@media (min-width: 1200px) {
	.slider-marquee .content-section {
		padding-left: 60px;
	}
	.slider-marquee .bullets-cont > button span {
		font-size: var(--text-3xl);
	}
}


/* Glide Fixes */
.slider-marquee .glide.fade .glide__slides,
.slider-marquee .glide.fade .glide__slide  {
	width: 100% !important;
}